metadata:
  creationTimestamp: "2021-10-21T09:15:48Z"
  generation: 1
  managedFields:
  - apiVersion: camel.apache.org/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:sources: {}
      f:status:
        .: {}
        f:conditions: {}
        f:dependencies: {}
        f:digest: {}
        f:integrationKit:
          .: {}
          f:name: {}
          f:namespace: {}
        f:lastInitTimestamp: {}
        f:phase: {}
        f:platform: {}
        f:profile: {}
        f:runtimeProvider: {}
        f:runtimeVersion: {}
        f:version: {}
    manager: kamel
    operation: Update
    time: "2021-10-21T09:15:48Z"
  name: basic
  namespace: exemplar-dev
  resourceVersion: "114032839"
  selfLink: /apis/camel.apache.org/v1/namespaces/exemplar-dev/integrations/basic
  uid: 95dc6bf9-0082-4afb-8267-3640e4c51830
spec:
  sources:
  - content: "/*\n * Licensed to the Apache Software Foundation (ASF) under one or
      more\n * contributor license agreements.  See the NOTICE file distributed with\n
      * this work for additional information regarding copyright ownership.\n * The
      ASF licenses this file to You under the Apache License, Version 2.0\n * (the
      \"License\"); you may not use this file except in compliance with\n * the License.
      \ You may obtain a copy of the License at\n *\n *      http://www.apache.org/licenses/LICENSE-2.0\n
      *\n * Unless required by applicable law or agreed to in writing, software\n
      * distributed under the License is distributed on an \"AS IS\" BASIS,\n * WITHOUT
      WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the
      License for the specific language governing permissions and\n * limitations
      under the License.\n */\n\n// camel-k: language=java\n\nimport org.apache.camel.builder.RouteBuilder;\n\npublic
      class Basic extends RouteBuilder {\n  @Override\n  public void configure() throws
      Exception {\n\n      from(\"timer:java?period=1000\")\n        .setHeader(\"example\")\n
      \         .constant(\"Java\")\n        .setBody()\n          .simple(\"Hello
      World! Camel K route written in ${header.example}.\")\n        .to(\"log:info\");\n
      \     \n  }\n}\n"
    name: Basic.java
status:
  conditions:
  - firstTruthyTime: "2021-10-21T09:15:49Z"
    lastTransitionTime: "2021-10-21T09:15:49Z"
    lastUpdateTime: "2021-10-21T09:15:49Z"
    message: exemplar-dev/camel-k
    reason: IntegrationPlatformAvailable
    status: "True"
    type: IntegrationPlatformAvailable
  - lastTransitionTime: "2021-10-21T09:15:49Z"
    lastUpdateTime: "2021-10-21T09:15:49Z"
    message: creating a new integration kit
    reason: IntegrationKitAvailable
    status: "False"
    type: IntegrationKitAvailable
  dependencies:
  - camel:log
  - camel:timer
  - mvn:org.apache.camel.k:camel-k-runtime
  - mvn:org.apache.camel.quarkus:camel-quarkus-java-joor-dsl
  digest: vgRI_oUsOdM6sRHOMhYe9NG2z2lphm4_GQoRAJStxNa4
  integrationKit:
    name: kit-c5oivh5khdq0fhuh64kg
    namespace: exemplar-dev
  lastInitTimestamp: "2021-10-21T09:15:48Z"
  phase: Building Kit
  platform: camel-k
  profile: OpenShift
  runtimeProvider: quarkus
  runtimeVersion: 1.7.1.fuse-800025-redhat-00001
  version: 1.4.1
